## google-gadgets 0.10.5

=== extensions/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

ADD_SUBDIRECTORY(curl_xml_http_request)
ADD_SUBDIRECTORY(qt_xml_http_request)
ADD_SUBDIRECTORY(dbus_script_class)
ADD_SUBDIRECTORY(default_framework)
ADD_SUBDIRECTORY(gst_audio_framework)
ADD_SUBDIRECTORY(gst_video_element)
ADD_SUBDIRECTORY(gtk_edit_element)
ADD_SUBDIRECTORY(qt_edit_element)
ADD_SUBDIRECTORY(gtk_system_framework)
ADD_SUBDIRECTORY(qt_system_framework)
ADD_SUBDIRECTORY(qtwebkit_browser_element)
ADD_SUBDIRECTORY(gtkmoz_browser_element)
ADD_SUBDIRECTORY(libxml2_xml_parser)
ADD_SUBDIRECTORY(linux_system_framework)
ADD_SUBDIRECTORY(smjs_script_runtime)
ADD_SUBDIRECTORY(qt_script_runtime)
ADD_SUBDIRECTORY(default_options)
ADD_SUBDIRECTORY(google_gadget_manager)
ADD_SUBDIRECTORY(gtk_flash_element)
ADD_SUBDIRECTORY(analytics_usage_collector)

=== ggadget/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

ADD_SUBDIRECTORY(dbus)
ADD_SUBDIRECTORY(gtk)
ADD_SUBDIRECTORY(qt)
ADD_SUBDIRECTORY(js)
ADD_SUBDIRECTORY(xdg)
ADD_SUBDIRECTORY(npapi)
ADD_SUBDIRECTORY(tests)

SET(SRCS
  backoff.cc
  basic_element.cc
  canvas_utils.cc
  clip_region.cc
  color.cc
  content_item.cc
  decorated_view_host.cc
  details_view_data.cc
  details_view_decorator.cc
  digest_utils.cc
  display_window.cc
  element_factory.cc
  elements.cc
  encryptor.cc
  permissions.cc
  extension_manager.cc
  gadget.cc
  gadget_manager.cc
  locales.cc
  logger.cc
  main_loop.cc
  math_utils.cc
  memory_options.cc
  messages.cc
  module.cc
  options_factory.cc
  script_runtime_manager.cc
  scriptable_array.cc
  scriptable_event.cc
  scriptable_file_system.cc
  scriptable_framework.cc
  scriptable_helper.cc
  scriptable_image.cc
  scriptable_menu.cc
  scriptable_options.cc
  scriptable_view.cc
  sidebar.cc
  signals.cc
  slot.cc
  small_object.cc
  string_utils.cc
  system_utils.cc
  host_utils.cc
  texture.cc
  text_frame.cc
  unicode_utils.cc
  usage_collector_factory.cc
  uuid.cc
  variant.cc
  view.cc
  xml_dom.cc
  xml_http_request_factory.cc
  xml_http_request_utils.cc
  xml_parser.cc
  xml_utils.cc

  anchor_element.cc
  button_element.cc
  checkbox_element.cc
  combobox_element.cc
  contentarea_element.cc
  copy_element.cc
  div_element.cc
  edit_element_base.cc
  image_cache.cc
  img_element.cc
  item_element.cc
  label_element.cc
  listbox_element.cc
  object_element.cc
  object_videoplayer.cc
  progressbar_element.cc
  run_once.cc
  scrollbar_element.cc
  scrolling_element.cc
  video_element_base.cc
  view_element.cc

  dir_file_manager.cc
  file_manager_factory.cc
  file_manager_wrapper.cc
  localized_file_manager.cc
  zip_file_manager.cc

  docked_main_view_decorator.cc
  floating_main_view_decorator.cc
  framed_view_decorator_base.cc
  main_view_decorator_base.cc
  popout_main_view_decorator.cc
  view_decorator_base.cc
)

SET(LIBS
  ltdl
  unzip
)

ADD_LIBRARY(ggadget${GGL_EPOCH} SHARED ${SRCS})
TARGET_LINK_LIBRARIES(ggadget${GGL_EPOCH} ${LIBS})
OUTPUT_LIBRARY(ggadget${GGL_EPOCH})

INSTALL(FILES
  anchor_element.h
  audioclip_interface.h
  backoff.h
  basic_element.h
  button_element.h
  canvas_interface.h
  canvas_utils.h
  checkbox_element.h
  clip_region.h
  color.h
  common.h
  combobox_element.h
  content_item.h
  contentarea_element.h
  copy_element.h
  decorated_view_host.h
  details_view_data.h
  details_view_decorator.h
  digest_utils.h
  dir_file_manager.h
  display_window.h
  div_element.h
  docked_main_view_decorator.h
  edit_element_base.h
  element_factory.h
  elements.h
  encryptor_interface.h
  event.h
  extension_manager.h
  file_manager_factory.h
  file_manager_interface.h
  file_manager_wrapper.h
  file_system_interface.h
  floating_main_view_decorator.h
  font_interface.h
  framed_view_decorator_base.h
  framework_interface.h
  gadget.h
  gadget_consts.h
  gadget_manager_interface.h
  graphics_interface.h
  host_interface.h
  image_cache.h
  image_interface.h
  img_element.h
  item_element.h
  label_element.h
  listbox_element.h
  locales.h
  localized_file_manager.h
  logger.h
  main_loop_interface.h
  main_view_decorator_base.h
  messages.h
  math_utils.h
  memory_options.h
  menu_interface.h
  module.h
  object_element.h
  object_videoplayer.h
  options_interface.h
  permissions.h
  popout_main_view_decorator.h
  progressbar_element.h
  registerable_interface.h
  run_once.h
  scoped_ptr.h
  script_context_interface.h
  script_runtime_interface.h
  script_runtime_manager.h
  scriptable_array.h
  scriptable_binary_data.h
  scriptable_enumerator.h
  scriptable_event.h
  scriptable_file_system.h
  scriptable_framework.h
  scriptable_helper.h
  scriptable_holder.h
  scriptable_image.h
  scriptable_interface.h
  scriptable_map.h
  scriptable_menu.h
  scriptable_options.h
  scriptable_view.h
  scrollbar_element.h
  scrolling_element.h
  sidebar.h
  signals.h
  slot.h
  small_object.h
  string_utils.h
  system_utils.h
  host_utils.h
  text_frame.h
  texture.h
  unicode_utils.h
  usage_collector_interface.h
  uuid.h
  video_element_base.h
  variant.h
  view.h
  view_decorator_base.h
  view_element.h
  view_host_interface.h
  view_interface.h
  xml_dom_interface.h
  xml_dom.h
  xml_http_request_interface.h
  xml_parser_interface.h
  xml_utils.h
  zip_file_manager.h
  DESTINATION ${GGL_INCLUDE_DIR}/ggadget COMPONENT Devel)

INSTALL(FILES
  ${CMAKE_BINARY_DIR}/ggadget/sysdeps.h
  DESTINATION ${GGL_SYSDEPS_INCLUDE_DIR}/ggadget COMPONENT Devel)

INSTALL_PKG_CONFIG(libggadget)

=== extensions/gst_video_element/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_GST_VIDEO_ELEMENT)

APPLY_CONFIG(GSTREAMER)
APPLY_CONFIG(GSTREAMER_PLUGINS_BASE)

SET(SRCS
  gadget_videosink.cc
  gst_video_element.cc
)
ADD_MODULE(gst-video-element ${SRCS})
TARGET_LINK_LIBRARIES(gst-video-element
  ${GSTREAMER_VIDEO_LIBRARIES} ggadget${GGL_EPOCH})

OUTPUT_MODULE(gst-video-element)

ENDIF(GGL_BUILD_GST_VIDEO_ELEMENT)

=== extensions/gtk_edit_element/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_LIBGGADGET_GTK)

APPLY_CONFIG(CAIRO)
APPLY_CONFIG(PANGO)
APPLY_CONFIG(GTK2)

SET(SRCS
  gtk_edit_element.cc
  gtk_edit_impl.cc
)
ADD_MODULE(gtk-edit-element ${SRCS})
TARGET_LINK_LIBRARIES(gtk-edit-element
  ggadget${GGL_EPOCH}
  ggadget-gtk${GGL_EPOCH}
  ${CAIRO_LIBRARIES}
  ${PANGO_LIBRARIES}
  ${GTK2_LIBRARIES}
)
OUTPUT_MODULE(gtk-edit-element)

ENDIF(GGL_BUILD_LIBGGADGET_GTK)

=== extensions/qt_script_runtime/CMakeLists.txt ===
#
#  Copyright 2007 Google Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

IF(GGL_BUILD_QT_SCRIPT_RUNTIME)

APPLY_CONFIG(QT)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-conversion")

SET(CMAKE_INCLUDE_CURRENT_DIR ON)
ADD_SUBDIRECTORY(tests)

SET(SRCS
  js_script_context.cc
  js_script_runtime.cc
  js_function_slot.cc
  js_native_wrapper.cc
  converter.cc
  json.cc
)

QT4_AUTOMOC(js_function_slot.cc)

ADD_LIBRARY(ggadget-qtscript ${SRCS})
ADD_MODULE(qt-script-runtime qt_script_runtime.cc)
TARGET_LINK_LIBRARIES(qt-script-runtime
  ggadget${GGL_EPOCH}
  ggadget-qtscript
  ggadget-js${GGL_EPOCH}
  ${QT_LIBRARIES}
  )
OUTPUT_MODULE(qt-script-runtime)

ENDIF(GGL_BUILD_QT_SCRIPT_RUNTIME)

=== extensions/smjs_script_runtime/CMakeLists.txt ===
#
#  Copyright 2008 Google Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

IF(GGL_BUILD_SMJS_SCRIPT_RUNTIME)

APPLY_CONFIG(SMJS)

ADD_SUBDIRECTORY(tests)

# Added -fcheck-new to disable the warning about operator new returning NULL
# in jscntxt.h.
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcheck-new")

SET(SRCS
  converter.cc
  js_function_slot.cc
  js_native_wrapper.cc
  js_script_context.cc
  js_script_runtime.cc
  json.cc
  native_js_wrapper.cc
  libmozjs_glue.cc
)

ADD_LIBRARY(ggadget-smjs ${SRCS})

ADD_MODULE(smjs-script-runtime smjs_script_runtime.cc)
TARGET_LINK_LIBRARIES(smjs-script-runtime
  ggadget${GGL_EPOCH}
  ggadget-js${GGL_EPOCH}
  ggadget-smjs
  ${SMJS_LIBRARIES}
  dl
  )
OUTPUT_MODULE(smjs-script-runtime)

ENDIF(GGL_BUILD_SMJS_SCRIPT_RUNTIME)

=== ggadget/gtk/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_LIBGGADGET_GTK)

APPLY_CONFIG(CAIRO)
APPLY_CONFIG(GTK2)
APPLY_CONFIG(RSVG)

SET(SRCS
  cairo_canvas.cc
  cairo_font.cc
  cairo_graphics.cc
  cairo_image_base.cc
  hotkey.cc
  key_convert.cc
  main_loop.cc
  menu_builder.cc
  npapi_plugin_element.cc
  pixbuf_image.cc
  single_view_host.cc
  tooltip.cc
  utilities.cc
  view_widget_binder.cc
)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-strict-aliasing")

if(RSVG_FOUND)
  SET(SRCS ${SRCS} rsvg_image.cc)
endif(RSVG_FOUND)

ADD_SUBDIRECTORY(tests)

ADD_LIBRARY(ggadget-gtk${GGL_EPOCH} SHARED ${SRCS})
TARGET_LINK_LIBRARIES(ggadget-gtk${GGL_EPOCH}
  ggadget-xdg${GGL_EPOCH}
  ggadget-npapi${GGL_EPOCH}
  ${CAIRO_LIBRARIES}
  ${GTK2_LIBRARIES}
  ${GTHREAD_LIBRARIES}
  ${PANGO_LIBRARIES}
  ${RSVG_LIBRARIES}
)
OUTPUT_LIBRARY(ggadget-gtk${GGL_EPOCH})

INSTALL(FILES
  cairo_graphics.h
  hotkey.h
  key_convert.h
  main_loop.h
  menu_builder.h
  npapi_plugin_element.h
  single_view_host.h
  tooltip.h
  utilities.h
  view_widget_binder.h
  DESTINATION ${GGL_INCLUDE_DIR}/ggadget/gtk COMPONENT Devel)

INSTALL_PKG_CONFIG(libggadget-gtk)

ENDIF(GGL_BUILD_LIBGGADGET_GTK)

=== ggadget/npapi/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

APPLY_CONFIG(X11)
APPLY_CONFIG(XT)

SET(SRCS
  npapi_plugin.cc
  npapi_plugin_script.cc
  npapi_utils.cc
)

ADD_SUBDIRECTORY(tests)

ADD_LIBRARY(ggadget-npapi${GGL_EPOCH} SHARED ${SRCS})
TARGET_LINK_LIBRARIES(ggadget-npapi${GGL_EPOCH}
  ggadget${GGL_EPOCH}
  dl
  ${X11_LIBRARIES}
  ${XT_LIBRARIES}
)
OUTPUT_LIBRARY(ggadget-npapi${GGL_EPOCH})

INSTALL(FILES
  npapi_plugin.h
  DESTINATION ${GGL_INCLUDE_DIR}/ggadget/npapi COMPONENT Devel)

INSTALL_PKG_CONFIG(libggadget-npapi)

=== ggadget/qt/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_LIBGGADGET_QT)

APPLY_CONFIG(QT)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-conversion")

SET(CMAKE_INCLUDE_CURRENT_DIR ON)
SET(SRCS
  qt_canvas.cc
  qt_font.cc
  qt_view_widget.cc
  qt_graphics.cc
  qt_image.cc
  qt_main_loop.cc
  qt_menu.cc
  qt_view_host.cc
  utilities.cc
)

QT4_AUTOMOC(
  qt_menu.cc
  qt_main_loop.cc
  qt_view_widget.cc
  qt_view_host.cc
  utilities.cc
)

ADD_SUBDIRECTORY(tests)

ADD_LIBRARY(ggadget-qt${GGL_EPOCH} SHARED ${SRCS})
TARGET_LINK_LIBRARIES(ggadget-qt${GGL_EPOCH}
  ggadget-xdg${GGL_EPOCH}
  ${QT_LIBRARIES}
)

OUTPUT_LIBRARY(ggadget-qt${GGL_EPOCH})

INSTALL(FILES
  qt_view_widget.h
  qt_graphics.h
  qt_main_loop.h
  qt_menu.h
  qt_view_host.h
  utilities.h
  DESTINATION ${GGL_INCLUDE_DIR}/ggadget/qt COMPONENT Devel)

INSTALL_PKG_CONFIG(libggadget-qt)
ENDIF(GGL_BUILD_LIBGGADGET_QT)

=== third_party/editline/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-implicit -Wno-pointer-sign -Wno-conversion")

ADD_DEFINITIONS(
  -DSYS_UNIX
  -DHAVE_STDLIB
  -DUNIQUE_HISTORY
  -DUSE_DIRENT
  -DHIDE
  -DHAVE_TCGETATTR
  -DANSI_ARROWS
)

SET(SRCS
  editline.c
  sysunix.c
)

ADD_LIBRARY(editline ${SRCS})

=== third_party/unzip/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

APPLY_CONFIG(ZLIB)
LIST(REMOVE_ITEM CMAKE_C_FLAGS -Wall -Werror)

SET(SRCS
  ioapi.c
  mztools.c
  unzip.c
  zip.c
)

IF(WIN32)
  SET(SRCS
    ${SRCS}
    iowin32.c
  )
ENDIF(WIN32)

ADD_LIBRARY(unzip ${SRCS})
TARGET_LINK_LIBRARIES(unzip z)

=== ggadget/tests/test_modules/bar_module/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

ADD_DEFINITIONS(-DMODULE_NAME=bar-module -DMODULE_NAME_UNDERSCORE=bar_module -DSCRIPT_EXTENSION=1)
ADD_MODULE(bar-module ${SRCS})
TARGET_LINK_LIBRARIES(bar-module)
OUTPUT_TEST_MODULE(bar-module)

## google-gadgets 0.11.2

=== CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
INCLUDE(Configure)

ADD_SUBDIRECTORY(unittest)
ADD_SUBDIRECTORY(ggadget)
ADD_SUBDIRECTORY(hosts)
ADD_SUBDIRECTORY(third_party)
ADD_SUBDIRECTORY(extensions)
ADD_SUBDIRECTORY(gadgets)
ADD_SUBDIRECTORY(xdg)

ADD_DIR_TO_ZIP(resources output/bin/resources.gg)

INSTALL( FILES "${CMAKE_BINARY_DIR}/output/bin/resources.gg"
    DESTINATION "${CMAKE_INSTALL_PREFIX}/share/google-gadgets"
)

=== extensions/CMakeLists.txt ===
--- 
+++ 
@@ -34,3 +34,7 @@
 ADD_SUBDIRECTORY(google_gadget_manager)
 ADD_SUBDIRECTORY(gtk_flash_element)
 ADD_SUBDIRECTORY(analytics_usage_collector)
+ADD_SUBDIRECTORY(webkit_script_runtime)
+ADD_SUBDIRECTORY(gtkwebkit_browser_element)
+ADD_SUBDIRECTORY(html_flash_element)
+ADD_SUBDIRECTORY(soup_xml_http_request)

=== gadgets/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

ADD_SUBDIRECTORY(designer)

ADD_DIR_TO_ZIP(analog_clock ../output/bin/analog-clock.gg)
ADD_DIR_TO_ZIP(digital_alarm_clock ../output/bin/digital-alarm-clock.gg)
ADD_DIR_TO_ZIP(igoogle ../output/bin/igoogle.gg)
ADD_DIR_TO_ZIP(rss ../output/bin/rss.gg)
ADD_DIR_TO_ZIP(photos ../output/bin/photos.gg)
ADD_DIR_TO_ZIP(gadget_browser ../output/bin/google-gadget-browser.gg)

INSTALL_GADGET(analog-clock.gg)
INSTALL_GADGET(digital-alarm-clock.gg)
INSTALL_GADGET(igoogle.gg)
INSTALL_GADGET(rss.gg)
INSTALL_GADGET(photos.gg)
INSTALL_GADGET(google-gadget-browser.gg)

=== ggadget/CMakeLists.txt ===
--- 
+++ 
@@ -172,6 +172,7 @@
   img_element.h
   item_element.h
   label_element.h
+  light_map.h
   listbox_element.h
   locales.h
   localized_file_manager.h

=== unittest/CMakeLists.txt ===
#
#  Copyright 2008 Google Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

IF(UNIX)
  ADD_DEFINITIONS(-DOS_LINUX)
  STRING(REPLACE "-Wextra" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
ENDIF(UNIX)
ADD_LIBRARY(gtest STATIC gtest.cc)

=== xdg/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

SET(ICONS
  32x32
  48x48
  64x64
  128x128
  192x192
  )

FOREACH(icon ${ICONS})
  INSTALL(FILES "${CMAKE_SOURCE_DIR}/xdg/${icon}.png"
    DESTINATION
    "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/${icon}/apps"
    RENAME google-gadgets.png)
  INSTALL(FILES "${CMAKE_SOURCE_DIR}/xdg/${icon}.png"
    DESTINATION
    "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/${icon}/mimetypes"
    RENAME application-x-google-gadget.png)
ENDFOREACH(icon ${ICONS})

INSTALL(FILES "${CMAKE_SOURCE_DIR}/xdg/128x128.png"
  DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps"
  RENAME google-gadgets.png
)

INSTALL(FILES "${CMAKE_SOURCE_DIR}/xdg/00-google-gadgets.xml"
  DESTINATION
  "${CMAKE_INSTALL_PREFIX}/share/mime/packages"
)

ADD_EXECUTABLE(intl_desktop_file intl_desktop_file.cc)
TARGET_LINK_LIBRARIES(intl_desktop_file ggadget${GGL_EPOCH})
OUTPUT_EXECUTABLE(intl_desktop_file)

=== extensions/curl_xml_http_request/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_CURL_XML_HTTP_REQUEST)

APPLY_CONFIG(LIBCURL)
ADD_MODULE(curl-xml-http-request curl_xml_http_request.cc)
TARGET_LINK_LIBRARIES(curl-xml-http-request
  ${LIBCURL_LIBRARIES}
  ${PTHREAD_LIBRARIES}
  ggadget${GGL_EPOCH})
OUTPUT_MODULE(curl-xml-http-request)

ENDIF(GGL_BUILD_CURL_XML_HTTP_REQUEST)

=== extensions/dbus_script_class/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_LIBGGADGET_DBUS)

APPLY_CONFIG(DBUS)

SET(SRCS
  dbus_script_class.cc
  scriptable_dbus_object.cc
)
ADD_MODULE(dbus-script-class ${SRCS})
TARGET_LINK_LIBRARIES(dbus-script-class ggadget-dbus${GGL_EPOCH} ${DBUS_LIBRARIES} ggadget${GGL_EPOCH})
OUTPUT_MODULE(dbus-script-class)

ENDIF(GGL_BUILD_LIBGGADGET_DBUS)

=== extensions/gst_audio_framework/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_GST_AUDIO_FRAMEWORK)

APPLY_CONFIG(GSTREAMER)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-conversion")

ADD_MODULE(gst-audio-framework gst_audio_framework.cc)
TARGET_LINK_LIBRARIES(gst-audio-framework ${GSTREAMER_LIBRARIES} ggadget${GGL_EPOCH})
OUTPUT_MODULE(gst-audio-framework)

ENDIF(GGL_BUILD_GST_AUDIO_FRAMEWORK)

=== extensions/gst_video_element/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 APPLY_CONFIG(GSTREAMER)
 APPLY_CONFIG(GSTREAMER_PLUGINS_BASE)
 
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-conversion")
+
 SET(SRCS
   gadget_videosink.cc
   gst_video_element.cc

=== extensions/gtk_system_framework/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_LIBGGADGET_GTK)

APPLY_CONFIG(GTK2)

IF(RSVG_FOUND)
  APPLY_CONFIG(RSVG)
ENDIF(RSVG_FOUND)

ADD_MODULE(gtk-system-framework gtk_system_framework.cc)
TARGET_LINK_LIBRARIES(gtk-system-framework
  ggadget-gtk${GGL_EPOCH}
  ggadget-xdg${GGL_EPOCH}
  ${GTK_LIBRARIES}
)
OUTPUT_MODULE(gtk-system-framework)

ENDIF(GGL_BUILD_LIBGGADGET_GTK)

=== extensions/gtkmoz_browser_element/CMakeLists.txt ===
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

IF(GGL_BUILD_GTKMOZ_BROWSER_ELEMENT)

APPLY_CONFIG(GTK2)
APPLY_CONFIG(GTHREAD)
APPLY_CONFIG(SMJS)
APPLY_CONFIG(GTKMOZEMBED)

SET(LIB_SRCS browser_element.cc)

ADD_MODULE(gtkmoz-browser-element ${LIB_SRCS})
TARGET_LINK_LIBRARIES(gtkmoz-browser-element
  ggadget${GGL_EPOCH}
  ${GTK2_LIBRARIES}
)
OUTPUT_MODULE(gtkmoz-browser-element)

SET(CMAKE_CXX_FLAGS
  "${CMAKE_CXX_FLAGS} -Wno-non-virtual-dtor -Wno-conversion -fno-strict-aliasing")
STRING(REPLACE "-Wextra" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

IF(NOT GTKMOZEMBED_FOUND)
  MESSAGE(FATAL "gtkmozembed library not found!")
ENDIF(NOT GTKMOZEMBED_FOUND)

SET(CHILD_SRCS
  browser_child.cc
  browser_child_internal.cc
  ${CMAKE_SOURCE_DIR}/extensions/smjs_script_runtime/libmozjs_glue.cc
)
ADD_EXECUTABLE(gtkmoz-browser-child ${CHILD_SRCS})
TARGET_LINK_LIBRARIES(gtkmoz-browser-child
  ${SMJS_LIBRARIES}
  ${GTKMOZEMBED_LIBRARIES}
  ${GTK2_LIBRARIES}
  ${GTHREAD_LIBRARIES}
  ggadget${GGL_EPOCH}
  dl
)
OUTPUT_EXECUTABLE(gtkmoz-browser-child)
INSTALL(TARGETS gtkmoz-browser-child
  DESTINATION "${LIB_INSTALL_DIR}/${PRODUCT_NAME}/")

ENDIF(GGL_BUILD_GTKMOZ_BROWSER_ELEMENT)

=== debian/changelog ===
google-gadgets (0.11.2-3) unstable; urgency=low

  [ Pino Toscano ]
  * Remove the postinst and postrm scripts of google-gadgets-common, as
    dh_installmime will take care of adding the proper snippets to trigger
    update-mime-database. (Closes: #591863)
  * Update debian/copyright:
    - explicitly list the sources in unittest/ which are licensed as BSD.
    - put the whole BSD license text instead of referring to
      /usr/share/common-licenses/BSD, which is deprecated in Debian Policy
      3.9.0.0.
  * Bump Standards-Version to 3.9.1.
  * Change the Vcs-* headers to the new Git repository location.
  * Switch to format "3.0 (quilt)":
    - drop quilt build-dependency.
    - no need to use the quilt dh addon.
    - remove the debian/README.source file.
  * Rename libggadget-1.0-0.docs to libggadget-1.0-0b.docs, missed in the
    previous ABI adaptation.
  * Add myself as uploader.
  * Add "DM-Upload-Allowed: yes" in debian/control.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sun, 08 Aug 2010 10:31:02 +0200

google-gadgets (0.11.2-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Sat, 01 May 2010 23:14:12 +0300

google-gadgets (0.11.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * New upstream release:
    - fixes a typo in the "World Daylight Clock". (Closes: #566168)
    - fixes GTK+ expose events with GTK+ >= 2.18. (Closes: #566169)
    - links ggl-qt to X11 and Xrender (Closes: #554696)
  * This new version of google-gadgets breaks API and ABI once again, so:
    - rename library packages, 'b' suffix this time.
    - add conflict against 'a' libraries.
    - update -dev packages dependency accordingly.
  * Make use of the xulrunner dh addon, so dh_xulrunner is run again.
  * Switch from cURL to SOUP for the xml_http_request module. Other than being
    recommended upstream, this also avoid crashes which can happen with
    gnutls. (Closes: #566167)
  * Install the html-flash-element extension in the -common package.
  * Make libggadget-gtk-1.0-dev and libggadget-qt-1.0-dev depend respectively
    on libgtk2.0-dev and libqt4-dev, as they use their host libraries in the
    public headers.
  * Add patch 05_hurd_pthread.patch to force linking with pthread (workaround
    Hurd issue).
  * Add author and small descriptions to all the patches.
  * Refresh patch 03_GRE_Version.patch, thanks Mike Hommey for the hints.
  * Bump Standards-Version to 3.8.4, no changes required.
  * Slightly improve descriptions: add main blurb in each package, fix a couple
    of typos.
  * Add lintian overrides:
    - the names of the lib* packages don't reflect the SO-names of the
      library/ies contained.
  * Make dh_install ignore .la files.
  * Adjust capitalisation of "QT" to "Qt" also in the ggl-qt.7 manpage.
  * Add also the SOVERSION to the .install files.

  [ Modestas Vainius ]
  * Since ABI breakages are going to continue, add *-api virtual packages
    to keep library count in the conflicts at the manageable level.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Thu, 04 Mar 2010 20:41:01 +0200

google-gadgets (0.11.1-2) unstable; urgency=low

  [ Fathi Boudra ]
  * Update debian/control: set Debian Krap Maintainers as maintainer.
  * Bump debian/compat to 7.
  * Switch to dh.

  [ Michael Biebl ]
  * Update debian/control:
    - Point the Vcs-* fields to the pkg-kde SVN.

  [ Pino Toscano ]
  * Add 04_hurd.patch:
    - configure.ac: correctly detect GNU/Hurd. (Closes: #550948)

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2010 19:30:48 +0100

google-gadgets (0.11.1-1.1) unstable; urgency=low

  * Non-maintainer upload to fix broken ABI:
    - Rename library packages.
    - Conflict against old libraries
    - Update -dev packages dependency

 -- Fathi Boudra <fabo@debian.org>  Mon, 11 Jan 2010 09:55:21 +0100

google-gadgets (0.11.1-1) unstable; urgency=low

  * New upstream release (Closes: 534719)
  * Added shared-mime-info as a dependency for google-gadgets-common
    (Closes: 559077)
  * Added google-gadgets-xul as a dependency of google-gadgets-qt
    (Closes: 513175)
  * Excluded network-manager-dev from build-depends on hurd-i386,
    It might build on hurd now, if so: Closes: 550948
  * Adjusted capitalisation of "QT" to "Qt" (Closes: 554625)
  * Removed 99_relibtoolize.patch, we run autoreconf preconfigure now

 -- Jack Coulter <jscinoz@gmail.com>  Mon, 21 Dec 2009 09:42:37 +1100

google-gadgets (0.10.5-0.3) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548677)
  * debian/rules: Use dh_xulrunner
  * debian/control: Build-depend on a xulrunner-dev that provides dh_xulrunner.
  * debian/patches/03_GRE_Version.patch: Tighten the GREVersionRange.
  * debian/patches/series: Add 03_GRE_Version.patch.

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 16:08:37 +0200

google-gadgets (0.10.5-0.2) unstable; urgency=low

  * NMU.
  * Fix xdgmime's license in debian/copyright. (Closes: #512029)
  * Fix the package's description. (Closes: #534424)
  * Don't call deprecated dh_desktop.
  * Don't build-depends on network-manager-dev on GNU/kFreeBSD. 
  * Use quilt as a patch system.
  * Enable AM_MAINTAINER_MODE
  * configure.ac: correctly detect GNU/kFreeBSD. (Closes: #542543)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Sep 2009 20:11:41 +0200

google-gadgets (0.10.5-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.

 -- Sune Vuorela <debian@pusling.com>  Mon, 26 Jan 2009 20:57:42 +0100

google-gadgets (0.10.4-1) unstable; urgency=low

  * New upstream release
  * Yet again more information added to copyright file

  [ Sune Vuorela ]
  * Fixups in rules file.
  * Small additions to copyright file.
  * Initial upload to debian. (Actually Closes: 484867)
  
 -- Jack Coulter <jscinoz@gmail.com>  Wed, 17 Dec 2008 11:22:31 +1100

google-gadgets (0.10.3-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: google-gadgets
Section: misc
Priority: extra
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>, Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7.0.50~), automake, autoconf,
 libtool, chrpath, zip, libsoup2.4-dev (>= 2.26.0),
 libdbus-1-dev, libeditline-dev, libgtk2.0-dev,
 libgstreamer-plugins-base0.10-dev, libltdl3-dev, libqt4-dev, librsvg2-dev,
 libstartup-notification0-dev, libxml2-dev,
 network-manager-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 xulrunner-dev (>= 1.9.1.6), zlib1g-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-kde/krap/google-gadgets.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/google-gadgets.git
Homepage: http://code.google.com/p/google-gadgets-for-linux/
DM-Upload-Allowed: yes

Package: libggadget-1.0-0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libggadget-1.0-0, libggadget-1.0-0a, libggadget-1.0-0-api
Replaces: libggadget-1.0-0-api
Provides: libggadget-1.0-0-api
Description: Google Gadgets main library
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the main Google Gadgets library, it is required by both
 the GTK+ and Qt versions of Google Gadgets.

Package: libggadget-1.0-dev
Section: libdevel
Architecture: any
Depends: libggadget-1.0-0b (= ${binary:Version}), ${misc:Depends}
Description: Google Gadgets main development files
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the development files associated with libggadget, it is
 needed to write programs that utilise libggadget.

Package: libggadget-gtk-1.0-0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libggadget-gtk-1.0-0, libggadget-gtk-1.0-0a, libggadget-gtk-1.0-0-api
Replaces: libggadget-gtk-1.0-0-api
Provides: libggadget-gtk-1.0-0-api
Description: Google Gadgets GTK+ library
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the GTK+ Google Gadgets library, it is required to run
 the GTK+ version of Google Gadgets.

Package: libggadget-gtk-1.0-dev
Section: libdevel
Architecture: any
Depends: libggadget-gtk-1.0-0b (= ${binary:Version}), ${misc:Depends}, libgtk2.0-dev
Description: Google Gadgets GTK+ development files
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the development files associated with libggadget-gtk,
 it is needed to write GTK+ programs that utilise libggadget.

Package: libggadget-qt-1.0-0b
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libggadget-qt-1.0-0, libggadget-qt-1.0-0a, libggadget-qt-1.0-0-api
Replaces: libggadget-qt-1.0-0-api
Provides: libggadget-qt-1.0-0-api
Description: Google Gadgets Qt library
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the Qt Google Gadgets library, it is required to run
 the Qt version of Google Gadgets.

Package: libggadget-qt-1.0-dev
Section: libdevel
Architecture: any
Depends: libggadget-qt-1.0-0b (= ${binary:Version}), ${misc:Depends}, libqt4-dev
Description: Google Gadgets Qt development files
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package contains the development files associated with libggadget-qt,
 it is needed to write Qt programs that utilise libggadget.

Package: google-gadgets-common
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, shared-mime-info
Description: Common files for Qt and GTK+ versions of google-gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes files common to both GTK+ and Qt versions.

Package: google-gadgets-gtk
Section: gnome
Architecture: any
Depends: google-gadgets-common (= ${binary:Version}),
 google-gadgets-gst (= ${binary:Version}),
 google-gadgets-xul (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ Version of Google Gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows aso well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes the GTK+ version.

Package: google-gadgets-qt
Section: kde
Architecture: any
Depends: google-gadgets-common (= ${binary:Version}),
 google-gadgets-gst (= ${binary:Version}),
 google-gadgets-xul (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: Qt4 version of Google Gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes the Qt version.

Package: google-gadgets-gst
Section: misc
Architecture: any
Depends: google-gadgets-common (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: GStreamer Module for Google Gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes the GStreamer modules

Package: google-gadgets-xul
Section: misc
Architecture: any
Depends: google-gadgets-common (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: XULRunner module for Google Gadgets
 Google Gadgets for Linux provides a platform for running desktop gadgets under
 Linux, catering to the unique needs of Linux users. It is compatible with the
 gadgets written for Google Desktop for Windows as well as the Universal
 Gadgets on iGoogle. Following Linux norms, this project is open-sourced,
 under the Apache License.
 .
 This package includes the XULRunner Modules

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with xulrunner $@

override_dh_auto_configure:
	autoreconf --verbose --force --install
	dh_auto_configure -- \
		--with-browser-plugins-dir=\$${prefix}/lib/xulrunner-addons/plugins \
		--disable-werror \
		--enable-ltdl-install=no

override_dh_install:
	chrpath -d debian/tmp/usr/lib/google-gadgets/gtkmoz-browser-child
	chrpath -d debian/tmp/usr/lib/google-gadgets/modules/smjs-script-runtime.so
	dh_install --list-missing -X.la

override_dh_makeshlibs:
	dh_makeshlibs -V -Ngoogle-gadgets-common -Ngoogle-gadgets-gtk \
		-Ngoogle-gadgets-qt -Ngoogle-gadgets-gst -Ngoogle-gadgets-xul

get-orig-source:
	# rename to what debian wants, repack to tgz rather than tbz2
	uscan --force-download --rename --repack

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://code.google.com/p/google-gadgets-for-linux/downloads/list \
	http://google-gadgets-for-linux.googlecode.com/files/google-gadgets-for-linux-(.*?)\.tar\.bz2
